<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::kernel::Matern12&lt; T, V &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1kernel_1_1_matern12.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classmelon_1_1kernel_1_1_matern12-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::kernel::Matern12&lt; T, V &gt; Class Template Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Class implementation of <a class="el" href="classmelon_1_1kernel_1_1_matern12.html" title="Class implementation of Matern12 kernel.">Matern12</a> kernel.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="matern_8h_source.html">matern.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for melon::kernel::Matern12&lt; T, V &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classmelon_1_1kernel_1_1_matern12.png" usemap="#melon::kernel::Matern12_3C_20T_2C_20V_20_3E_map" alt=""/>
  <map id="melon::kernel::Matern12_3C_20T_2C_20V_20_3E_map" name="melon::kernel::Matern12_3C_20T_2C_20V_20_3E_map">
<area href="classmelon_1_1kernel_1_1_matern.html" title="Abstract parent class for matern kernels." alt="melon::kernel::Matern&lt; T, V &gt;" shape="rect" coords="0,112,235,136"/>
<area href="classmelon_1_1kernel_1_1_stationary_kernel.html" alt="melon::kernel::StationaryKernel&lt; T, V &gt;" shape="rect" coords="0,56,235,80"/>
<area href="classmelon_1_1kernel_1_1_kernel.html" title="Abstract parent class for kernel implementations." alt="melon::kernel::Kernel&lt; T, V &gt;" shape="rect" coords="0,0,235,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abee77e01af24c67dfc897e85cc9fe9e0" id="r_abee77e01af24c67dfc897e85cc9fe9e0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abee77e01af24c67dfc897e85cc9fe9e0">evaluate_kernel</a> (std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x1</a>, std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x2</a>)</td></tr>
<tr class="memdesc:abee77e01af24c67dfc897e85cc9fe9e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for evalualting the kernel for the points x1 and x2.  <br /></td></tr>
<tr class="separator:abee77e01af24c67dfc897e85cc9fe9e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acce6e46b9760039fafc1a6ca06bf0366" id="r_acce6e46b9760039fafc1a6ca06bf0366"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acce6e46b9760039fafc1a6ca06bf0366">evaluate_kernel</a> (<a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">distance</a>)</td></tr>
<tr class="memdesc:acce6e46b9760039fafc1a6ca06bf0366"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for evalualting the kernel for a given distance.  <br /></td></tr>
<tr class="separator:acce6e46b9760039fafc1a6ca06bf0366"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe39812dc7ba20fbd9dccd36ef0b84cb" id="r_afe39812dc7ba20fbd9dccd36ef0b84cb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afe39812dc7ba20fbd9dccd36ef0b84cb">calculate_distance</a> (std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x1</a>, std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x2</a>)</td></tr>
<tr class="memdesc:afe39812dc7ba20fbd9dccd36ef0b84cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for calculating the distance used in the kernel (type of distance used can vary among kernels)  <br /></td></tr>
<tr class="separator:afe39812dc7ba20fbd9dccd36ef0b84cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classmelon_1_1kernel_1_1_matern"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_classmelon_1_1kernel_1_1_matern')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classmelon_1_1kernel_1_1_matern.html">melon::kernel::Matern&lt; T, V &gt;</a></td></tr>
<tr class="memitem:a949e9259d57135cf1dbb1b8c8fa2bd2f inherit pub_methods_classmelon_1_1kernel_1_1_matern" id="r_a949e9259d57135cf1dbb1b8c8fa2bd2f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_matern.html#a949e9259d57135cf1dbb1b8c8fa2bd2f">Matern</a> ()</td></tr>
<tr class="separator:a949e9259d57135cf1dbb1b8c8fa2bd2f inherit pub_methods_classmelon_1_1kernel_1_1_matern"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a124b4208b37454e64970269ab06c40b9 inherit pub_methods_classmelon_1_1kernel_1_1_matern" id="r_a124b4208b37454e64970269ab06c40b9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_matern.html#a124b4208b37454e64970269ab06c40b9">Matern</a> (std::shared_ptr&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="structmelon_1_1kernel_1_1_kernel_data.html">KernelData</a> &gt; data)</td></tr>
<tr class="separator:a124b4208b37454e64970269ab06c40b9 inherit pub_methods_classmelon_1_1kernel_1_1_matern"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classmelon_1_1kernel_1_1_kernel"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_classmelon_1_1kernel_1_1_kernel')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classmelon_1_1kernel_1_1_kernel.html">melon::kernel::Kernel&lt; T, V &gt;</a></td></tr>
<tr class="memitem:a723ab0686bbb045ff401220d51f72c2a inherit pub_methods_classmelon_1_1kernel_1_1_kernel" id="r_a723ab0686bbb045ff401220d51f72c2a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">virtual</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#a723ab0686bbb045ff401220d51f72c2a">~Kernel</a> ()=<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">default</a></td></tr>
<tr class="memdesc:a723ab0686bbb045ff401220d51f72c2a inherit pub_methods_classmelon_1_1kernel_1_1_kernel"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <br /></td></tr>
<tr class="separator:a723ab0686bbb045ff401220d51f72c2a inherit pub_methods_classmelon_1_1kernel_1_1_kernel"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classmelon_1_1kernel_1_1_kernel"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_types_classmelon_1_1kernel_1_1_kernel')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classmelon_1_1kernel_1_1_kernel.html">melon::kernel::Kernel&lt; T, V &gt;</a></td></tr>
<tr class="memitem:afc65772b466950a64138b8914d44a0b1 inherit pub_types_classmelon_1_1kernel_1_1_kernel" id="r_afc65772b466950a64138b8914d44a0b1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">using</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a> = <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">decltype</a>(std::declval&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>&gt;() + std::declval&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a>&gt;())</td></tr>
<tr class="separator:afc65772b466950a64138b8914d44a0b1 inherit pub_types_classmelon_1_1kernel_1_1_kernel"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classmelon_1_1kernel_1_1_matern"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_methods_classmelon_1_1kernel_1_1_matern')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classmelon_1_1kernel_1_1_matern.html">melon::kernel::Matern&lt; T, V &gt;</a></td></tr>
<tr class="memitem:a23dc40f992932497afc16a00f20f2e77 inherit pro_methods_classmelon_1_1kernel_1_1_matern" id="r_a23dc40f992932497afc16a00f20f2e77"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_matern.html#a23dc40f992932497afc16a00f20f2e77">_quadratic_distance</a> (std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x1</a>, std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x2</a>) <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">override</a></td></tr>
<tr class="memdesc:a23dc40f992932497afc16a00f20f2e77 inherit pro_methods_classmelon_1_1kernel_1_1_matern"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates the quadratic distance between two points x1 and x2.  <br /></td></tr>
<tr class="separator:a23dc40f992932497afc16a00f20f2e77 inherit pro_methods_classmelon_1_1kernel_1_1_matern"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85fac54714c648155ccb76ca58b140dc inherit pro_methods_classmelon_1_1kernel_1_1_matern" id="r_a85fac54714c648155ccb76ca58b140dc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">auto</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_matern.html#a85fac54714c648155ccb76ca58b140dc">_euclidian_distance</a> (<a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">quadraticDistance</a>)</td></tr>
<tr class="memdesc:a85fac54714c648155ccb76ca58b140dc inherit pro_methods_classmelon_1_1kernel_1_1_matern"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates the euclidian distance from the quadratic distance.  <br /></td></tr>
<tr class="separator:a85fac54714c648155ccb76ca58b140dc inherit pro_methods_classmelon_1_1kernel_1_1_matern"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classmelon_1_1kernel_1_1_matern"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_attribs_classmelon_1_1kernel_1_1_matern')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classmelon_1_1kernel_1_1_matern.html">melon::kernel::Matern&lt; T, V &gt;</a></td></tr>
<tr class="memitem:afd32a89a7eeff017e7c811c4c4a3a64e inherit pro_attribs_classmelon_1_1kernel_1_1_matern" id="r_afd32a89a7eeff017e7c811c4c4a3a64e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="structmelon_1_1kernel_1_1_kernel_data.html">KernelData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_matern.html#afd32a89a7eeff017e7c811c4c4a3a64e">_data</a></td></tr>
<tr class="separator:afd32a89a7eeff017e7c811c4c4a3a64e inherit pro_attribs_classmelon_1_1kernel_1_1_matern"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><div class="compoundTemplParams">template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a>&gt;<br />
class melon::kernel::Matern12&lt; T, V &gt;</div><p>Class implementation of <a class="el" href="classmelon_1_1kernel_1_1_matern12.html" title="Class implementation of Matern12 kernel.">Matern12</a> kernel. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="afe39812dc7ba20fbd9dccd36ef0b84cb" name="afe39812dc7ba20fbd9dccd36ef0b84cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe39812dc7ba20fbd9dccd36ef0b84cb">&#9670;&#160;</a></span>calculate_distance()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> , <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1kernel_1_1_matern12.html">Matern12</a>&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;<a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">::RET</a> <a class="el" href="classmelon_1_1kernel_1_1_matern12.html">melon::kernel::Matern12</a>&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;::calculate_distance </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>x1</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>x2</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function for calculating the distance used in the kernel (type of distance used can vary among kernels) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">x1</td><td>is a vector containing the first point</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">x2</td><td>is a vector containing the second point</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the distance used in the kernel </dd></dl>

<p>Implements <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html#a6879c9fdde3f47097c7316939345cf4e">melon::kernel::StationaryKernel&lt; T, V &gt;</a>.</p>

</div>
</div>
<a id="acce6e46b9760039fafc1a6ca06bf0366" name="acce6e46b9760039fafc1a6ca06bf0366"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acce6e46b9760039fafc1a6ca06bf0366">&#9670;&#160;</a></span>evaluate_kernel() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> , <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1kernel_1_1_matern12.html">Matern12</a>&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;<a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">::RET</a> <a class="el" href="classmelon_1_1kernel_1_1_matern12.html">melon::kernel::Matern12</a>&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;::evaluate_kernel </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a></td>          <td class="paramname"><span class="paramname"><em>distance</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function for evalualting the kernel for a given distance. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">distance</td><td>is a distance between two points for which the kernel is evaluated</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the result of the kernel evaluation </dd></dl>

<p>Implements <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html#ae9793199628aa2042e9e546965400db5">melon::kernel::StationaryKernel&lt; T, V &gt;</a>.</p>

</div>
</div>
<a id="abee77e01af24c67dfc897e85cc9fe9e0" name="abee77e01af24c67dfc897e85cc9fe9e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abee77e01af24c67dfc897e85cc9fe9e0">&#9670;&#160;</a></span>evaluate_kernel() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> , <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1kernel_1_1_matern12.html">Matern12</a>&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;<a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">::RET</a> <a class="el" href="classmelon_1_1kernel_1_1_matern12.html">melon::kernel::Matern12</a>&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;::evaluate_kernel </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>x1</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>x2</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function for evalualting the kernel for the points x1 and x2. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">x1</td><td>is a vector containing the first point</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">x2</td><td>is a vector containing the second point</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the result of the kernel evaluation </dd></dl>

<p>Implements <a class="el" href="classmelon_1_1kernel_1_1_kernel.html#a8ec36af697437b1a9b6ff84efb237e14">melon::kernel::Kernel&lt; T, V &gt;</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/common/inc/<a class="el" href="matern_8h_source.html">matern.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="namespacemelon_1_1kernel.html">kernel</a></li><li class="navelem"><a class="el" href="classmelon_1_1kernel_1_1_matern12.html">Matern12</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
